package entity

type Task struct {
	Info     TaskInfo     `json:"info"`
	Scenario TaskScenario `json:"scenario"`
	Vehicle  TaskVehicle  `json:"vehicle"`
}

type TaskInfo struct {
	ProjectId   string `json:"project_id"`
	TaskId      string `json:"task_id"`
	TaskPath    string `json:"task_path"`
	DefaultTime int    `json:"default_time"`
}

type TaskScenario struct {
	ScenarioOsc  string `json:"scenario_osc"`
	ScenarioOdr  string `json:"scenario_odr"`
	ScenarioOsgb string `json:"scenario_osgb"`
}

type TaskVehicle struct {
	Model    VehicleModel    `json:"model"`
	Dynamics VehicleDynamics `json:"dynamics"`
	Sensors  VehicleSensors  `json:"sensors"`
}
