package global

import "sync"

var (
	KeyGpuNodeList   = "gpu-node-list" // 用户运行队列
	GpuNodeListMutex sync.Mutex

	KeyTaskQueueRunningUserPrefix = "task-queue-running-user"    // 用户运行队列
	KeyTaskQueueWaitingUser       = "task-queue-waiting-user"    // 用户等待队列，等待队列不需要根据userId区分开，资源先到先得
	KeyTaskQueueRunningCluster    = "task-queue-running-cluster" // 集群运行队列
	KeyTaskQueueWaitingCluster    = "task-queue-waiting-cluster" // 集群等待队列
	KeyTaskToNode                 = "task-to-node"               // 集群等待队列

	ParallelismMutex sync.Mutex
)
