package entity

type PjisuvParam struct {
	// /cicv_location
	VelocityXOfCicvLocation        float64
	VelocityYOfCicvLocation        float64
	YawOfCicvLocation              float64
	AngularVelocityZOfCicvLocation float64

	// /tpperception
	ObjDicOfTpperception map[uint32][]float32

	// /pji_control_pub
	NumCountPjiControlCommandOfPjControlPub int
	EgoSteeringCmdOfPjControlPub            []float64
	EgoThrottleCmdOfPjControlPub            []float64
	// /data_read
	NumCountDataReadOfDataRead   int
	EgoSteeringRealOfDataRead    []float64
	EgoThrottleRealOfDataRead    []float64
	StrgAngleRealValueOfDataRead float64
}

type KinglongParam struct {
	// /cicv_location
	VelocityXOfCicvLocation        float64
	VelocityYOfCicvLocation        float64
	YawOfCicvLocation              float64
	AngularVelocityZOfCicvLocation float64

	// /tpperception
	ObjDicOfTpperception map[uint32][]float32

	// /pji_control_pub
	NumCountJinlongControlCommandOfPjControlPub int
	EgoSteeringCmdOfJinlongControlPub           []float64
	EgoThrottleCmdOfJinlongControlPub           []float64
	EgoBrakeCmdOfJinlongControlPub              []float64
	// /data_read
	NumCountDataReadOfDataRead int
	EgoSteeringRealOfDataRead  []float64
	EgoThrottleRealOfDataRead  []float64
	EgoBrakeRealOfDataRead     []float64
}
